# TdApi.BotCommand (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: BotCommand

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BotCommand

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BotCommand

Enclosing class:
  TdApi

public static final class TdApi.BotCommand extends TdApi.Object
Represents a command supported by a bot.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`command`
Text of the bot command.
`static final int`
`CONSTRUCTOR`
`String`
`description`
Description of the bot command.

## Constructor Summary

Constructors
Constructor
Description
`BotCommand()`
Represents a command supported by a bot.
`BotCommand(DataInput input)`
Represents a command supported by a bot.
`BotCommand(String command, String description)`
Represents a command supported by a bot.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### command

public String command
Text of the bot command.

### description

public String description
Description of the bot command.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### BotCommand

public BotCommand()
Represents a command supported by a bot.

### BotCommand

public BotCommand(String command, String description)
Represents a command supported by a bot.

Parameters:
  `command` - String Text of the bot command.
  `description` - String Description of the bot command.

### BotCommand

public BotCommand(DataInput input) throws IOException
Represents a command supported by a bot.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`